@import url(https://fonts.googleapis.com/css2?family=Libertinus+Serif+Display&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap);
*{
    margin: 0;
    padding: 0;
  font-family: "Montserrat", sans-serif;

}

body{
    width:90%;
    margin: 0 auto;
    background-image: url(5d657e0e7fb7d1575a4a.jpeg);
    background-size: 100%;

}

.header{
    width: 100%;
    display: grid;
    grid-template-columns: 60% 40%;

}

@media screen and (max-width:867px) {
    .header{
        grid-template-columns: 80% 20%;
    }
    
}

.header__logo-container{
    display: flex;
    justify-content: center;
}

@media screen and (max-width:867px) {

    .header__logo-container{
        justify-content: flex-start;
    }
    
}

.header__logo{
    width: 15%;
}

@media screen and (max-width:867px) {
    .header__logo{
        width: 50%;
    }
    
}

.header__menu-container{
    display: flex;
    align-items: center;
    justify-content: center;
}

.text-main-container{
    width: 100%;
      display: flex;
    justify-content: center;
    padding: 100px 0 100px 0;
}

.text-main{
    text-align: center;
    font-size: 30px;

    width: 30%;
}

@media screen and (max-width:867px) {
    .text-main{
        width:80%;
    }
    
}

.text{
    font-size: 24px;
    color: white;
}

.grid{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 8px;
    padding-bottom: 50px;
}


@media screen and (max-width:867px) {
    .grid{
        flex-direction: column;
       
    }
    
}


.grid__image {
  width: 350px;
  height: 100%;
  display: block;
  object-fit: cover;
  transition: transform .5s ease, filter .5s ease;
  will-change: transform;
  cursor: pointer;
}

@media screen and (max-width:867px) {
    .grid__image {
        width: 100%;

}
}


.grid__image.img--hover:hover {
  transform: scale(1.08) translateY(-4px); /* zoom + se levanta tantito */
  box-shadow: 0 18px 25px rgba(0, 0, 0, 0.35);
  filter: brightness(1.05); /* un poco más brillante */
}
.text__title{
    color: orange;
    font-weight: bold;
}

.text__subtitle{
    padding-bottom: 25px;
    color: white;
}

.secundary{
    padding: 100px 0 100px 0;
}

.contactanos__container{
    width: 100%;
   

    text-align: center;
      padding: 100px 0 100px 0;
}

.contactanos__image{
    width: 20%;
}

@media screen and (max-width:867px) {
    .contactanos__image{
        width: 80%;
    }
    
}

.footer{
    width: 100%;
    display: grid;
    grid-template-rows: repeat(2, 1fr);

    padding: 50px 0 50px 0;
}

@media screen and (max-width:867px) {
    .footer{
        padding: 0;
    }
    
}

.footer__social-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    align-items: center;

}



.footer__social{

    color: white;
  

}

.footer__text{
    text-align: center;
    font-size: 16px;
    color: white;
}

@media screen and (max-width:867px) {
    .footer__text{
        font-size: 12px;
    }
    
}

.popup-container{
    width: 30%;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.8s ease, transform 0.8s ease;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;   
}

@media screen and (max-width:867px) {
    .popup-container{
        width: 80%;
    }
    
}



.popup__close-container{
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.popup__image{
    width: 100%;
}

.popup__close{
    width:10%;
}


.popup__back{
    cursor: pointer;
}

.popup__next{
    cursor: pointer;
}

.popup__close{
    cursor: pointer;
}

.textPopup-container{
       width: 100%;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.8s ease, transform 0.8s ease;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;  
}

.textPopup__text-container{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.textPopup__text{
    color: white;
    font-size: 50px;
    padding-bottom: 20px;
}


.textPopup__close-container{
    display: flex;
    justify-content: flex-end;
    width: 80%;
}

.textPopup__close{
    cursor: pointer;
}

.textPopup__text{
    text-decoration: none;
}

.banner-container{
    width: 100%;
}

.banner{
    width: 100%;
}

.banner__video{
    width: 100%;
}


.promotions__container{
    width: 100%;
    display: flex;
    justify-content: space-evenly;

    padding-top: 50px;
    gap: 10px;



}

@media screen and (max-width: 867px) {

    .promotions__container {

        flex-direction: column;
        width: 100%;
        margin: 0 auto;
      
    }

}
.promotions__area{
   width: 100%;

 
}

.iframe{
    padding: 0;
}

.promotions__area-img{
    width: 100%;
    height: 100vh;
}



@media screen and (max-width:320px) {
     .promotions__area-img{
        height: 300px;
    }
    
}


.login-container{
    width: 100%;
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;

}

.login{
    width: 20%;
    border: 1px solid gainsboro;
    border-radius: 10px;
     padding: 30px;
}

.login__form{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
   

}

.login__button-container{
    width: 100%;
    display: flex;
    justify-content: center;

}

.login__button{
    background-color: white;
    border-radius: 5px;
    border: 1px solid gainsboro;
    cursor: pointer;
}

.login__button:hover{
      background-color: #0056b3; /* Color un poco más oscuro al pasar el mouse */
    text-shadow: 0px 0px 10px rgba(0, 123, 255, 0.5); /* Añadir un efecto de sombra al pasar el mouse */
    color: white;
}

.login__input{
    background-color: white;
    border-radius: 5px;
    border: 1px solid gainsboro;  
}

/* Estilos base para el input */
input {
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #fff;
  transition: 
    background-color 0.2s ease-in-out,
    border-color 0.2s ease-in-out,
    box-shadow 0.2s ease-in-out;
    font-size: 14px;
}

@media screen and (max-width:867px) {
    input{
        font-size: 8px;
    }
    
}



/* Hover: fondo más oscuro */
input:hover {
  background-color: #0056b3; /* Color un poco más oscuro al pasar el mouse */
  border-color: #004494;
  color: #fff;
}

/* Focus: mismo fondo oscuro + resalte adicional */
input:focus {
  background-color: #0056b3;
  border-color: #003366;
  outline: none; /* Quitamos el outline por defecto */
  box-shadow: 0 0 0 3px rgba(0, 86, 179, 0.4);
  color: #fff;
}

.list{
    width: 100%;
    display: grid;
    grid-template-columns:repeat(2, 1fr) ;
    
}

.list__ids-container{
        text-align: center;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.list__ids-text{
background-color: white;
    border-radius: 10px;

}

@media screen and (max-width:867px) {
    .list{
        grid-template-columns: 1fr;
        gap: 20px;
    }
    
}

.list__headers-index{
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.list__headers-title{
    text-align: center;
}

.list__ids{
    text-align: center;
    cursor: pointer;
}

.backEnd-popup-container{
    text-align: center;
    width: 50%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.8s ease, transform 0.8s ease;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    background-color: white;
        border-radius: 5px;
    
}

.backEnd__video-popup-container{
       text-align: center;
    width: 50%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.8s ease, transform 0.8s ease;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    background-color: white;
        border-radius: 5px; 
}

.backEnd-add-popup-container{
     text-align: center;
    width: 50%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.8s ease, transform 0.8s ease;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    background-color: white;
        border-radius: 5px;  
}

.backEnd__popup-form{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 25px;
}

button{
     display: inline-block;
    font-size: 16px;
    color: white;
    background-color: #007bff;
    border: 1px solid gainsboro;
    border-radius: 5px;
    text-decoration: none;
    cursor: pointer;
    /* Transición lenta para fondo, sombra y transform */
    transition: background-color 0.6s ease, box-shadow 0.6s ease, transform 0.6s ease;
}

.backEnd__popup-button{
    display: flex;
    margin: 0 auto;
}

button:hover {
    /* Fondo un poco más oscuro */
    background-color: #0056b3;
    /* Sombra sutil para elevarlo */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    /* Elevación al pasar el mouse */
    transform: translateY(-2px);
}

button:focus {
    /* Elimina el outline por defecto y añade un halo */
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.5);
}

.images-container{
    width: 100%;
    background-color: gainsboro;
    border-radius: 20px;
    margin: 0 auto;
}

.videos-container{
        width: 100%;
    background-color: gainsboro;
    border-radius: 20px;
    margin: 0 auto;
}

.list__headers-text{
    background-color: white;
    border-radius: 10px;
}

.backEnd-popup-close-container{
    display: flex;
    justify-content: flex-end;
}

.backEnd-popup-close{
    cursor: pointer;
}

.popup{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup__opened {
    opacity: 1;
    visibility: visible;

}

.overlay{
   
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color:black; /* Oscurece la pantalla */
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s ease, visibility 1s;
    z-index: 999;
}

.overlay.active {
    opacity: 1;
    visibility: visible;
}

.images__container-title{
    text-align: center;
}


.logout-container{
    display: flex;
    justify-content: center;
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/